Package com.documentum.fc.common

# Interface IDfProperties

public interface IDfProperties
This interface provides functionality for manipulating values in a hashable.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DF_BOOLEAN`
  Represents the boolean datatype.
  `static final int`
  `DF_DOUBLE`
  Represents the double datatype.
  `static final int`
  `DF_ID`
  Represents the ID datatype.
  `static final int`
  `DF_INTEGER`
  Represents the integer datatype.
  `static final int`
  `DF_LIST`
  Represents a DfList object.
  `static final int`
  `DF_OBJECT`
  Represents any Java object.
  `static final int`
  `DF_STRING`
  Represents the string datatype.
  `static final int`
  `DF_TIME`
  Represents the time datatype.
  `static final int`
  `DF_VALUE`
  Represents a DfValue object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clears this hashtable so that it contains no property names.
  `boolean`
  `containsProperty(String propertyName)`
  Determines whether the specified property is stored in the object.
  `boolean`
  `containsValue(Object propertyValue)`
  Determines whether the value is present in the current list of values.
  `Object`
  `get(String propertyName)`
  Returns the object to which the specified property name is mapped to in the object.
  `boolean`
  `getBoolean(String propertyName)`
  Returns the boolean value to which the specified property name is mapped to in the object.
  `int`
  `getCount()`
  Get the number of property names and mapped values stored in this object.
  `double`
  `getDouble(String propertyName)`
  Returns the value to which the specified property name is mapped to in the object.
  `IDfId`
  `getId(String propertyName)`
  Returns an IDfId interface to which the specified property name is mapped to in the object.
  `int`
  `getInt(String propertyName)`
  Returns the value to which the specified property name is mapped to in the object.
  `IDfList`
  `getList(String propertyName)`
  Returns an IDfList interface to which the specified property name is mapped to in the object.
  `IDfList`
  `getProperties()`
  Returns the property names as an IDfList interface.
  `int`
  `getPropertyType(String propertyName)`
  Return the datatype of the mapped property value.
  `String`
  `getString(String propertyName)`
  Returns the string to which the specified property name is mapped to in the object.
  `IDfTime`
  `getTime(String propertyName)`
  Returns an IDfTime interface to which the specified property name is mapped to in the object.
  `IDfValue`
  `getValue(String propertyName)`
  Returns an IDfValue interface to which the specified property name is mapped to in the object.
  `boolean`
  `isEmpty()`
  Tests if this object maps no property names to values.
  `void`
  `put(String propertyName, Object propertyValue)`
  Maps the specified property name to the specified Object property value.
  `void`
  `putBoolean(String propertyName, boolean propertyValue)`
  Maps the specified property name to the specified boolean property value.
  `void`
  `putDouble(String propertyName, double propertyValue)`
  Maps the specified property name to the specified double property value.
  `void`
  `putId(String propertyName, IDfId propertyValue)`
  Maps the specified property name to the specified IDfId interface property value.
  `void`
  `putInt(String propertyName, int propertyValue)`
  Maps the specified property name to the specified integer property value.
  `void`
  `putList(String propertyName, IDfList propertyValue)`
  Maps the specified property name to the specified IDfList interface property value.
  `void`
  `putString(String propertyName, String propertyValue)`
  Maps the specified property name to the specified string property value.
  `void`
  `putTime(String propertyName, IDfTime propertyValue)`
  Maps the specified property name to the specified IDfTime interface property value.
  `void`
  `putValue(String propertyName, IDfValue propertyValue)`
  Maps the specified property name to the specified IDfValue interface property value.
  `void`
  `remove(String propertyName)`
  Removes the specified property name and its associated value from the hashtable.

- ## Field Details

  - ### DF_BOOLEAN

    static final int DF_BOOLEAN
    Represents the boolean datatype.
    See Also:
      - Constant Field Values

  - ### DF_INTEGER

    static final int DF_INTEGER
    Represents the integer datatype.
    See Also:
      - Constant Field Values

  - ### DF_STRING

    static final int DF_STRING
    Represents the string datatype.
    See Also:
      - Constant Field Values

  - ### DF_ID

    static final int DF_ID
    Represents the ID datatype.
    See Also:
      - Constant Field Values

  - ### DF_TIME

    static final int DF_TIME
    Represents the time datatype.
    See Also:
      - Constant Field Values

  - ### DF_DOUBLE

    static final int DF_DOUBLE
    Represents the double datatype.
    See Also:
      - Constant Field Values

  - ### DF_OBJECT

    static final int DF_OBJECT
    Represents any Java object.
    See Also:
      - Constant Field Values

  - ### DF_VALUE

    static final int DF_VALUE
    Represents a DfValue object.
    See Also:
      - Constant Field Values

  - ### DF_LIST

    static final int DF_LIST
    Represents a DfList object.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### containsValue

    boolean containsValue(Object propertyValue)
    Determines whether the value is present in the current list of values.
    Parameters:
      `propertyValue` - the Object value to search for.
    Returns:
      Returns `true` if the value is found; otherwise, returns `false`.

  - ### containsProperty

    boolean containsProperty(String propertyName)
    Determines whether the specified property is stored in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      Returns `true` if the property is found; otherwise, returns `false`.

  - ### get

    Object get(String propertyName)
    Returns the object to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      the object to which the property name is mapped; null if the property name is not mapped.

  - ### getString

    String getString(String propertyName) throws DfException
    Returns the string to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      the string to which the property name is mapped; nothing if the property name is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### getBoolean

    boolean getBoolean(String propertyName) throws DfException
    Returns the boolean value to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      the boolean value to which the property name is mapped; `false` if the property name. is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### getDouble

    double getDouble(String propertyName) throws DfException
    Returns the value to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      the value to which the property name is mapped; 0 if the property name is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### getId

    IDfId getId(String propertyName) throws DfException
    Returns an IDfId interface to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      an IDfId interface to which the property name is mapped; null if the property name is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### getInt

    int getInt(String propertyName) throws DfException
    Returns the value to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      the value to which the property name is mapped; 0 if the property name is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### getList

    IDfList getList(String propertyName) throws DfException
    Returns an IDfList interface to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      an IDfList interface to which the property name is mapped; null if the property name is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### getTime

    IDfTime getTime(String propertyName) throws DfException
    Returns an IDfTime interface to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      an IDfTime interface to which the property name is mapped; null if the property name is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### getValue

    IDfValue getValue(String propertyName) throws DfException
    Returns an IDfValue interface to which the specified property name is mapped to in the object.
    Parameters:
      `propertyName` - the property name to search for.
    Returns:
      an IDfValue interface to which the property name is mapped; null if the property name is not mapped.
    Throws:
      `DfException` - if there is a type mismatch.

  - ### put

    void put(String propertyName, Object propertyValue)
    Maps the specified property name to the specified Object property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putString

    void putString(String propertyName, String propertyValue)
    Maps the specified property name to the specified string property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putBoolean

    void putBoolean(String propertyName, boolean propertyValue)
    Maps the specified property name to the specified boolean property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putDouble

    void putDouble(String propertyName, double propertyValue)
    Maps the specified property name to the specified double property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putId

    void putId(String propertyName, IDfId propertyValue)
    Maps the specified property name to the specified IDfId interface property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putInt

    void putInt(String propertyName, int propertyValue)
    Maps the specified property name to the specified integer property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putList

    void putList(String propertyName, IDfList propertyValue)
    Maps the specified property name to the specified IDfList interface property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putTime

    void putTime(String propertyName, IDfTime propertyValue)
    Maps the specified property name to the specified IDfTime interface property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### putValue

    void putValue(String propertyName, IDfValue propertyValue)
    Maps the specified property name to the specified IDfValue interface property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
      `propertyValue` - the value that will be mapped to the property name.

  - ### remove

    void remove(String propertyName)
    Removes the specified property name and its associated value from the hashtable.
    Parameters:
      `propertyName` - the property name that needs to be removed.

  - ### isEmpty

    boolean isEmpty()
    Tests if this object maps no property names to values.
    Returns:
      `true` if this hashtable maps no property names to values; `false` otherwise.

  - ### getProperties

    IDfList getProperties() throws DfException
    Returns the property names as an IDfList interface.
    Returns:
      an IDfList interface containing the property names.
    Throws:
      `DfException` - if the list cannot be instantiated.

  - ### getCount

    int getCount()
    Get the number of property names and mapped values stored in this object.
    Returns:
      the number of property names and mapped values stored in this object.

  - ### clear

    void clear()
    Clears this hashtable so that it contains no property names.

  - ### getPropertyType

    int getPropertyType(String propertyName) throws DfException
    Return the datatype of the mapped property value.
    Parameters:
      `propertyName` - the property name that will serve as the key.
    Returns:
      the datatype of the mapped property value
    Throws:
      `DfException` - a DM_DFC_E_CLASS_NOT_FOUND exception.